Name:           openoffice.org-voikko
Version:        2.2 
Release:        3%{?dist}
Summary:        Finnish spellchecker and hyphenator extension for OpenOffice.org

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://voikko.sourceforge.net/
Source0:        http://downloads.sourceforge.net/voikko/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    openoffice.org-sdk >= 2.3.0-6.13
BuildRequires:    libvoikko-devel >= 1.5
Requires:         openoffice.org-core >= 2.3.0-6.13
Requires(pre):    openoffice.org-core >= 2.3.0-6.13
Requires(post):   openoffice.org-core >= 2.3.0-6.13
Requires(preun):  openoffice.org-core >= 2.3.0-6.13
Requires(postun): openoffice.org-core >= 2.3.0-6.13

%define oo2_sdk %{_libdir}/openoffice.org/sdk
%define oo2 %{_libdir}/openoffice.org
%define unopkg %{oo2}/program/unopkg
%define voikkoext %{_libdir}/openoffice.org/extensions/voikko.uno.pkg

%description
This package contains a Finnish spell-checking and hyphenation component for
OpenOffice.org. The actual spell-checking and hyphenation functionality is
provided by the Voikko library.


%prep
%setup -q


# Make install-unpacked also builds before installing, leave the build section
# empty.
%build


%install
rm -rf $RPM_BUILD_ROOT
. %{oo2_sdk}/setsdkenv_unix.sh
make install-unpacked DESTDIR=$RPM_BUILD_ROOT%{voikkoext} \
    "OPT_FLAGS=$RPM_OPT_FLAGS" %{?_smp_mflags}
# Set the library executable so debuginfo can be extracted.
chmod +x $RPM_BUILD_ROOT%{voikkoext}/voikko.so


%pre
if [ $1 -gt 1 ]; then
# Upgrade => deregister old extension
    # Clean up after a broken package version which left a broken package in
    # unopkg
    if %{unopkg} list --shared | grep -q 'Identifier: org.openoffice.legacy.voikko.uno.pkg'
    then
        %{unopkg} remove --shared org.openoffice.legacy.voikko.uno.pkg || :
    else
        %{unopkg} remove --shared org.puimula.ooovoikko || :
    fi
fi

%post
    # register extension
    %{unopkg} add --shared --force --link %{voikkoext} || :

%preun
if [ $1 -eq 0 ]; then
    # not upgrading => deregister
    %{unopkg} remove --shared org.puimula.ooovoikko || :
fi

%postun
    # clear disk cache
    %{unopkg} list --shared > /dev/null 2>&1 || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{voikkoext}
%doc ChangeLog COPYING README


%changelog
* Tue Nov 18 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-3
- add --force to protect against installing by rpm an extension which was
  previously installed manually
- Add Requires openoffice.org-core >= 2.3.0-6.13, because Yum/RPM dont care
  about pre- or post-Requires (see rhbz#472093 "openoffice.org-voikko-2.2-2
  doesn't pull in openoffice.org 2.3.0.6-12")
- Bump all openoffice.org-core Requires to >= 2.3.0-6.13 to avoid rhbz#440650
  "unopkg runs 'mktemp --tmpdir' which fails"

* Sat Apr 26 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-2
- Build with RPM_OPT_FLAGS, adds FORTIFY_SOURCE etc.

* Sat Apr 26 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-1
- Update the package to match the extension guidelines:
  - Change location
  - Update openoffice.org-* Requires
  - Build the debuginfo package
  - Remove the "temporary $HOME hack" and all -env options to unopkg
- Update to the latest upstream version:
  - Use the new install-unpacked make target

* Tue Feb 12 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-3
- Disable debuginfo package as long as we must install the .oxt file

* Tue Feb 12 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-2
- Install the .oxt file, don't unzip it, unzipped extensions work only in
  Rawhide currently
- Install to /usr/lib/openoffice.org-voikko/ for now
- Clean up after the previous broken package
- Set $HOME to be a temporary directory while using unopkg. Otherwise unopkg
  causes problems if the package is installed with sudo

* Wed Jan 23 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-1
- Bump release for the initial Fedora build

* Mon Jan 21 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-0.2
- Make one define a bit cleaner
- Changes by Caolan McNamara:
  - Unpack the component at install time
  - Make a non-empty debuginfo package
  - Install the extension to /usr/lib/

* Mon Jan 21 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-0.1
- Initial package
